## deepin-album 5.8.9

=== CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

project(deepin-album)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(DMR_DEBUG on)
endif()

option(DOTEST "option for test" OFF)

add_definitions(-DENABLE_ACCESSIBILITY=1)

if(DOTEST)
    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        add_definitions(-DSYSTEM_MIPS)
        set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
    endif()
else()
    # 加速编译优化参数
    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
    else()
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
    endif()
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

add_subdirectory(libUnionImage)
add_subdirectory(src)

=== libUnionImage/CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

project(libUnionImage)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(QtModule Core Gui Widgets Svg Concurrent)
find_package(Qt5 REQUIRED ${QtModule})

include_directories(UnionImage)

aux_source_directory(UnionImage allSources)

#------------------添加第三方库begins--------------------------#

set(INC_DIR /usr/include/)
set(LINK_DIR /usr/lib/)

include_directories(${INC_DIR})
link_directories(${LINK_DIR})
link_libraries(freeimage)

add_library(unionimage SHARED ${allHeaders} ${allSources})
set_target_properties(unionimage PROPERTIES VERSION 1.0.0 SOVERSION 1)

set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

qt5_use_modules(unionimage ${QtModule})
set(PREFIX /usr)
set(UnionImageDir ${PREFIX}/lib)

install(TARGETS unionimage LIBRARY DESTINATION ${UnionImageDir})

=== src/CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

set(CMD_NAME deepin-album)

project(${CMD_NAME})

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(DOTEST)
    set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools Test)
    if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
    else()
        set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -lgcov")
    endif()
else()
    set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools)
endif()

find_package(Qt5 REQUIRED ${QtModule})

include_directories(album)
include_directories(album/albumview)
include_directories(album/allpicview)
include_directories(album/controller)
include_directories(album/dbmanager)
include_directories(album/dialogs)
include_directories(album/frame)
include_directories(album/imageengine)
include_directories(album/importtimelineview)
include_directories(album/importview)
include_directories(album/module)
include_directories(album/module/slideshow)
include_directories(album/module/view)
include_directories(album/module/view/scen)
include_directories(album/module/view/contents)
include_directories(album/searchview)
include_directories(album/thumbnail)
include_directories(album/timelineview)
include_directories(album/utils)
include_directories(album/widgets)
include_directories(album/widgets/dialogs)
include_directories(/usr/include)
include_directories(/usr/include/gio-qt)
include_directories(/usr/include/udisks2-qt5)
include_directories(/usr/include/glib-2.0)
include_directories(/usr/lib/x86_64-linux-gnu/glib-2.0/include)

aux_source_directory(./album allSource)
aux_source_directory(./album/albumview allSource)
aux_source_directory(./album/allpicview allSource)
aux_source_directory(./album/controller allSource)
aux_source_directory(./album/dbmanager allSource)
aux_source_directory(./album/dialogs allSource)
aux_source_directory(./album/frame allSource)
aux_source_directory(./album/imageengine allSource)
aux_source_directory(./album/importtimelineview allSource)
aux_source_directory(./album/importview allSource)
aux_source_directory(./album/module allSource)
aux_source_directory(./album/module/slideshow allSource)
aux_source_directory(./album/module/view allSource)
aux_source_directory(./album/module/view/scen allSource)
aux_source_directory(./album/module/view/contents allSource)
aux_source_directory(./album/searchview allSource)
aux_source_directory(./album/settings/slideshow allSource)
aux_source_directory(./album/thumbnail allSource)
aux_source_directory(./album/timelineview allSource)
aux_source_directory(./album/utils allSource)
aux_source_directory(./album/widgets allSource)
aux_source_directory(./album/widgets/dialogs allSource)
aux_source_directory(./../libUnionImage/UnionImage allSource)

FILE (GLOB allHeaders
    "./album/module/*.h"
    )

set(AllQRC
    album/resources.qrc
    icons/icons.qrc
    )
file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)

set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(LangSrcs ${allSource} ${allHeaders} ${TargetTsFiles}
        OPTIONS )
endif ()
qt5_add_translation(${TargetTsFiles})
set_source_files_properties(${qmfiles} PROPERTIES OUTPUT_LOCATION "translations")

set(LINK_DIR lib)
link_directories(${LINK_DIR})

add_executable(${PROJECT_NAME} ${allSource} ${AllQRC} ${allHeaders} ${LangSrcs} )

add_compile_definitions(LITE_DIV)

#------------------------------ 配置test ---------------------------------------

if(DOTEST)
    SET(PROJECT_NAME_TEST
        ${PROJECT_NAME}_test)

    include_directories(./../tests/)

    aux_source_directory(./../tests/ allTestSource)
    aux_source_directory(./../tests/albumview allTestSource)
    aux_source_directory(./../tests/allpicview allTestSource)
    aux_source_directory(./../tests/controller allTestSource)
    aux_source_directory(./../tests/dbmanager allTestSource)
    aux_source_directory(./../tests/dialogs allTestSource)
    aux_source_directory(./../tests/frame allTestSource)
    aux_source_directory(./../tests/imageengine allTestSource)
    aux_source_directory(./../tests/importtimelineview allTestSource)
    aux_source_directory(./../tests/importview allTestSource)
    aux_source_directory(./../tests/module allTestSource)
    aux_source_directory(./../tests/module/slideshow allTestSource)
    aux_source_directory(./../tests/module/view allTestSource)
    aux_source_directory(./../tests/module/view allTestSource)
    aux_source_directory(./../tests/module/view allTestSource)
    aux_source_directory(./../tests/searchview allTestSource)
    aux_source_directory(./../tests/thumbnail allTestSource)
    aux_source_directory(./../tests/timelineview allTestSource)
    aux_source_directory(./../tests/utils allTestSource)
    aux_source_directory(./../tests/widgets allTestSource)
    aux_source_directory(./../tests/widgets/dialogs allTestSource)
    aux_source_directory(./album/albumview allTestSource)
    aux_source_directory(./album/allpicview allTestSource)
    aux_source_directory(./album/controller allTestSource)
    aux_source_directory(./album/dbmanager allTestSource)
    aux_source_directory(./album/dialogs allTestSource)
    aux_source_directory(./album/frame allTestSource)
    aux_source_directory(./album/imageengine allTestSource)
    aux_source_directory(./album/importtimelineview allTestSource)
    aux_source_directory(./album/importview allTestSource)
    aux_source_directory(./album/module allTestSource)
    aux_source_directory(./album/module/slideshow allTestSource)
    aux_source_directory(./album/module/view allTestSource)
    aux_source_directory(./album/module/view/scen allTestSource)
    aux_source_directory(./album/module/view/contents allTestSource)
    aux_source_directory(./album/searchview allTestSource)
    aux_source_directory(./album/settings/slideshow allTestSource)
    aux_source_directory(./album/thumbnail allTestSource)
    aux_source_directory(./album/timelineview allTestSource)
    aux_source_directory(./album/utils allTestSource)
    aux_source_directory(./album/widgets allTestSource)
    aux_source_directory(./album/widgets/dialogs allTestSource)
    aux_source_directory(./../libUnionImage/UnionImage allTestSource)

    FILE(GLOB allTestSource1
        "./album/application.cpp"
        "./album/mainwindow.cpp"
        "./album/fileinotify.cpp"
        )

    add_executable(${PROJECT_NAME_TEST} ${allHeaders} ${AllTestQRC} ${allTestSource} ${allTestSource1})
    target_link_libraries(${PROJECT_NAME_TEST} gmock gtest pthread)

    add_test(${PROJECT_NAME_TEST} COMMAND ${PROJECT_NAME_TEST})

#------------------------------ 创建'make test'指令---------------------------------------
    add_custom_target(test
        COMMAND mkdir -p coverageResult
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    add_custom_command(TARGET test
        COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "

        COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
        COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
        COMMAND ./${PROJECT_NAME}/${PROJECT_NAME_TEST}

        COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

        COMMAND echo " =================== do filter begin ==================== "
        COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info
        '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*'
        -o ./coverageResult/${PROJECT_NAME}_Coverage.info
        COMMAND echo " =================== do filter end ==================== "

        COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage.info
        COMMAND echo " =================== CREAT LCOV REPROT END ==================== "

#        COMMAND nohup x-www-browser ${CMAKE_BINARY_DIR}/coverageResult/report/index.html &

        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
    add_dependencies(test ${PROJECT_NAME_TEST})
endif()

#------------------------------ 创建'make test'指令---------------------------------------

find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui gio-qt udisks2-qt5
        )
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
if(DOTEST)
    target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS})
endif()

target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} freeimage)
if(DOTEST)
    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage)
endif()
#------------------添加第三方库end--------------------------#

qt5_use_modules(${PROJECT_NAME} ${QtModule})
if(DOTEST)
qt5_use_modules(${PROJECT_NAME_TEST} ${QtModule})
endif()

set(PREFIX /usr)
set(UnionImageDir ${PREFIX}/lib/)
set(TranslationDir ${PREFIX}/share/${CMD_NAME}/translations/)
set(DesktopDir ${PREFIX}/share/applications/)
set(ManIconDir ${PREFIX}/share/icons/hicolor/scalable/apps)
set(AppIconDir ${PREFIX}/share/icons/hicolor/scalable/apps)

install(TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}Targets
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        RUNTIME DESTINATION /usr/bin
        INCLUDES DESTINATION allHeaders)

# install
install(FILES ${LangSrcs} DESTINATION ${TranslationDir})
install(FILES deepin-album.desktop DESTINATION ${DesktopDir})
install(FILES album/resources/images/other/deepin-album.svg DESTINATION ${ManIconDir})
install(FILES album/resources/images/other/deepin-album.svg DESTINATION ${AppIconDir})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/../assets/deepin-album DESTINATION /usr/share/deepin-manual/manual-assets/application/)

#set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")

=== debian/changelog ===
deepin-album (5.8.9-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Oct 2021 17:28:28 -0400

deepin-album (5.8.9-1~exp1) experimental; urgency=low
  [ Clay Stan ]
  * Update debian/*

  [ Hu Feng ]
  *debian/control:
  * debian/copyright: Update license information.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

  [Ma Aiguo]
  * Initial package (Closes: #975107)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 26 May 2021 14:35:38 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Ma Aiguo <imaiguo@gmail.com>,
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  qtbase5-dev,
  pkg-config,
  libexif-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
  qttools5-dev-tools,
  qttools5-dev,
  libxcb-util0-dev,
  libstartup-notification0-dev,
  libraw-dev,
  libfreeimage-dev,
  libqt5opengl5-dev,
  qtbase5-private-dev,
  qtmultimedia5-dev,
  x11proto-xext-dev,
  libmtdev-dev,
  libegl1-mesa-dev,
  libudev-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libglib2.0-dev,
  libxrender-dev,
  libdtkwidget-dev,
  libdtkwidget5-bin,
  libdtkcore5-bin,
  libgio-qt-dev,
  libudisks2-qt5-dev,
  deepin-gettext-tools
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-album
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-album.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-album

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: album application for Deepin Desktop Environment
 Deepin-album is a fashion photo manager for viewing and organizing pictures.
 deepin-album supports command line, mouse drag method to import photos.
 deepin-album supports single browsing and timeline browsing modes.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=qt5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DH_AUTO_ARGS = --parallel --buildsystem=cmake

## deepin-album 5.9.1%2Bdfsg

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Ma Aiguo <imaiguo@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 deepin-gettext-tools,
 libavformat-dev,
 libdtkcore5-bin,
 libdtkwidget-dev,
 libdtkwidget5-bin,
 libegl1-mesa-dev,
 libexif-dev,
 libffmpegthumbnailer-dev,
 libfontconfig1-dev,
 libfreeimage-dev,
 libfreetype6-dev,
 libgio-qt-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libudisks2-qt5-dev,
 libxcb-util-dev,
 libxrender-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/deepin-album
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-album.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-album

Package: deepin-album
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: album application for Deepin Desktop Environment
 Deepin-album is a fashion photo manager for viewing and organizing pictures.
 deepin-album supports command line, mouse drag method to import photos.
 deepin-album supports single browsing and timeline browsing modes.

## deepin-album 5.9.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
     ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
 
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(DMR_DEBUG on)
-endif()
+#if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+#    set(DMR_DEBUG on)
+#endif()
 
 option(DOTEST "option for test" OFF)

=== debian/changelog ===
deepin-album (5.9.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-Fix-FTBFS-due-to-missing-header.patch:
    Add missing header to avoid FTBFS. (Closes: #1096248)

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Feb 2025 15:46:50 -0500

deepin-album (5.9.1+dfsg-2) unstable; urgency=medium

  * debian/rules: disable LTO (Closes: #1015381).
  * debian/patches:
    + Fix ftbfs with ffmpeg7 (Closes: #1078276).
    + Fix ftbfs in double build with ts file (Closes: #1045124).

 -- Arun Kumar Pariyar <arun@debian.org>  Sat, 14 Sep 2024 17:50:59 +0545

deepin-album (5.9.1+dfsg-1) unstable; urgency=medium

  * debian/copyright: Update copyright information.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Replace libxcb-util0-dev with libxcb-util-dev.
    + Add myself to Uploaders list.
  * debian/patches: Add patch to fix FTBFS
    missing DComboBox header (Closes: #1008345).
  * debian/watch: Update watch file for dfsg repack.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 01 Apr 2022 00:02:10 +0545

deepin-album (5.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add new build-dep:
    + libffmpegthumbnailer-dev.
    + libavformat-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jan 2022 15:36:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: deepin-album
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Ma Aiguo <imaiguo@gmail.com>,
  Arun Kumar Pariyar <arun@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,optimize=-lto
export DEB_CXXFLAGS_MAINT_APPEND = -Wl,-z,now

export QT_SELECT := 5
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-album-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-album/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-album 5.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,6 @@
 
 execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
     ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-#if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-#    set(DMR_DEBUG on)
-#endif()
 
 option(DOTEST "option for test" OFF)
 
@@ -19,7 +15,11 @@
         add_definitions(-DSYSTEM_MIPS)
         set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
     endif()
-else()
+    add_definitions(-DUSE_TEST)
+endif()
+
+#只在非debug模式下启动这些参数，否则调试体验会非常差
+if (NOT(CMAKE_BUILD_TYPE STREQUAL "Debug"))
     # 加速编译优化参数
     if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
         SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,15 +30,9 @@
 include_directories(album/controller)
 include_directories(album/dbmanager)
 include_directories(album/dialogs)
-include_directories(album/frame)
 include_directories(album/imageengine)
 include_directories(album/importtimelineview)
 include_directories(album/importview)
-include_directories(album/module)
-include_directories(album/module/slideshow)
-include_directories(album/module/view)
-include_directories(album/module/view/scen)
-include_directories(album/module/view/contents)
 include_directories(album/searchview)
 include_directories(album/thumbnail)
 include_directories(album/timelineview)
@@ -49,6 +43,7 @@
 include_directories(/usr/include/gio-qt)
 include_directories(/usr/include/udisks2-qt5)
 include_directories(/usr/include/glib-2.0)
+include_directories(/usr/include/libimageviewer)
 include_directories(/usr/lib/x86_64-linux-gnu/glib-2.0/include)
 
 aux_source_directory(./album allSource)
@@ -57,15 +52,9 @@
 aux_source_directory(./album/controller allSource)
 aux_source_directory(./album/dbmanager allSource)
 aux_source_directory(./album/dialogs allSource)
-aux_source_directory(./album/frame allSource)
 aux_source_directory(./album/imageengine allSource)
 aux_source_directory(./album/importtimelineview allSource)
 aux_source_directory(./album/importview allSource)
-aux_source_directory(./album/module allSource)
-aux_source_directory(./album/module/slideshow allSource)
-aux_source_directory(./album/module/view allSource)
-aux_source_directory(./album/module/view/scen allSource)
-aux_source_directory(./album/module/view/contents allSource)
 aux_source_directory(./album/searchview allSource)
 aux_source_directory(./album/settings/slideshow allSource)
 aux_source_directory(./album/thumbnail allSource)
@@ -115,15 +104,9 @@
     aux_source_directory(./../tests/controller allTestSource)
     aux_source_directory(./../tests/dbmanager allTestSource)
     aux_source_directory(./../tests/dialogs allTestSource)
-    aux_source_directory(./../tests/frame allTestSource)
     aux_source_directory(./../tests/imageengine allTestSource)
     aux_source_directory(./../tests/importtimelineview allTestSource)
     aux_source_directory(./../tests/importview allTestSource)
-    aux_source_directory(./../tests/module allTestSource)
-    aux_source_directory(./../tests/module/slideshow allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
-    aux_source_directory(./../tests/module/view allTestSource)
     aux_source_directory(./../tests/searchview allTestSource)
     aux_source_directory(./../tests/thumbnail allTestSource)
     aux_source_directory(./../tests/timelineview allTestSource)
@@ -135,15 +118,9 @@
     aux_source_directory(./album/controller allTestSource)
     aux_source_directory(./album/dbmanager allTestSource)
     aux_source_directory(./album/dialogs allTestSource)
-    aux_source_directory(./album/frame allTestSource)
     aux_source_directory(./album/imageengine allTestSource)
     aux_source_directory(./album/importtimelineview allTestSource)
     aux_source_directory(./album/importview allTestSource)
-    aux_source_directory(./album/module allTestSource)
-    aux_source_directory(./album/module/slideshow allTestSource)
-    aux_source_directory(./album/module/view allTestSource)
-    aux_source_directory(./album/module/view/scen allTestSource)
-    aux_source_directory(./album/module/view/contents allTestSource)
     aux_source_directory(./album/searchview allTestSource)
     aux_source_directory(./album/settings/slideshow allTestSource)
     aux_source_directory(./album/thumbnail allTestSource)
@@ -157,6 +134,7 @@
         "./album/application.cpp"
         "./album/mainwindow.cpp"
         "./album/fileinotify.cpp"
+        "./album/fileinotifygroup.cpp"
         )
 
     add_executable(${PROJECT_NAME_TEST} ${allHeaders} ${AllTestQRC} ${allTestSource} ${allTestSource1})
@@ -197,16 +175,16 @@
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkgui gio-qt udisks2-qt5
+        dtkwidget dtkcore gio-qt udisks2-qt5
         )
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 if(DOTEST)
     target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} freeimage)
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage)
+target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} freeimage imageviewer)
+if(DOTEST)
+    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage imageviewer)
 endif()
 #------------------添加第三方库end--------------------------#

=== debian/changelog ===
deepin-album (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 15 Feb 2022 15:04:27 +0800

deepin-album (1.0) unstable; urgency=medium

  * Pre-release for deepin album 5.0

 -- TagBuilder <tagbuilder@deepin.com>  Mon, 23 May 2016 14:20:26 +0000

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev, libavformat-dev, libffmpegthumbnailer-dev, libdtkwidget5-bin,libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev,deepin-gettext-tools
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.

## deepin-album 5.10.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -175,7 +175,7 @@
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkcore gio-qt udisks2-qt5
+        dtkwidget dtkcore dtkgui gio-qt udisks2-qt5
         )
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 if(DOTEST)

=== debian/changelog ===
deepin-album (5.10.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 18:31:01 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev, libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev (>= 1.0.13), libdtkwidget5-bin, libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev, deepin-gettext-tools
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.13)
Recommends: ffmpeg
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.

## deepin-album 5.10.4

=== libUnionImage/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,10 @@
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
 qt5_use_modules(unionimage ${QtModule})
-set(PREFIX /usr)
-set(UnionImageDir ${PREFIX}/lib)
 
-install(TARGETS unionimage LIBRARY DESTINATION ${UnionImageDir})
+if (NOT CMAKE_INSTALL_LIBDIR)
+    set(CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
+endif()
+
+install(TARGETS unionimage LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -182,7 +182,7 @@
     target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} freeimage imageviewer)
+target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} freeimage imageviewer)
 if(DOTEST)
     target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage imageviewer)
 endif()

=== debian/changelog ===
deepin-album (5.10.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 26 Jul 2022 14:11:11 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev, libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev  (>= 1.0.16), libdtkwidget5-bin, libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev, deepin-gettext-tools
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.16)
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.

## deepin-album 5.10.13

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -175,7 +175,7 @@
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkcore dtkgui gio-qt udisks2-qt5
+        dtkwidget dtkcore dtkgui gio-qt udisks2-qt5 libimageviewer
         )
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
 if(DOTEST)

=== debian/changelog ===
deepin-album (5.10.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 31 Mar 2023 10:34:44 +0800

deepin-album (5.10.13) unstable; urgency=medium

  * fix flash back of USB flash drive in loongarch architecture.

 -- TagBuilder <tagbuilder@deepin.com>  Thu, 30 Mar 2023 15:41:44 +0000

deepin-album (5.10.12) unstable; urgency=medium

  * update version to 5.10.12

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 10 Mar 2023 09:54:35 +0000

deepin-album (5.10.11) unstable; urgency=medium

  * use xwininfo method to show file name and path.

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 21 Feb 2023 16:00:26 +0000

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev, libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev  (>= 1.0.22), libdtkwidget5-bin, libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev, deepin-gettext-tools
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.22)
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.
Recommends: uos-reporter,  deepin-event-log

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.

## deepin-album 5.10.21

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 endif()
 
 find_package(Qt5 REQUIRED ${QtModule})
+find_package(TIFF)
 
 include_directories(album)
 include_directories(album/albumview)
@@ -74,6 +75,10 @@
     )
 file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)
 
+# tiff三方库文件
+file(GLOB tiffToolsSources ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.c
+                           ${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/tiff-tools/*.h)
+
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
 if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
@@ -86,7 +91,7 @@
 set(LINK_DIR lib)
 link_directories(${LINK_DIR})
 
-add_executable(${PROJECT_NAME} ${allSource} ${AllQRC} ${allHeaders} ${LangSrcs} )
+add_executable(${PROJECT_NAME} ${allSource} ${AllQRC} ${allHeaders} ${LangSrcs} ${tiffToolsSources})
 
 add_compile_definitions(LITE_DIV)
 
@@ -177,14 +182,14 @@
 pkg_check_modules(3rd_lib REQUIRED
         dtkwidget dtkcore dtkgui gio-qt udisks2-qt5 libimageviewer
         )
-target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})
-if(DOTEST)
-    target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS})
-endif()
-
-target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} freeimage imageviewer)
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} freeimage imageviewer)
+target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${TIFF_INCLUDE_DIRS})
+if(DOTEST)
+    target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${TIFF_INCLUDE_DIRS})
+endif()
+
+target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
+if(DOTEST)
+    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
 endif()
 #------------------添加第三方库end--------------------------#

=== debian/changelog ===
deepin-album (5.10.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 19:54:49 +0800

deepin-album (5.10.21) unstable; urgency=medium

  * Update version to 5.10.21 community
  * feat: add image classification
  * feat: adapt imageclassify Bus Iface
  * feat: add image classification 1st
  * fix: Resolve the issue of no images in trash after deleting images(Bug: 231739)
  * fix: Solve the problem of image classification search results not being able to play slides(Bug: 232541)
  * fix: Disabled right-click menu for photo classification cover page(Bug: 232551)
  * fix: Right click on the photo classification detail page to add a slideshow function(Bug: 232599)
  * fix: Hide search box on photo classification cover page(Bug: 232637)
  * fix: Resolve the issue of invalid delete key on photo classification detail page(Bug: 232631)
  * fix: Resolve the issue of entering slide mode after viewing images and exiting without a title bar(Bug: 232641)
  * fix: Resolve the issue of being able to close alt+F4 when importing progress bars(Bug: 232643)
  * fix: Hide search box on photo classification cover page(Bug: 232787)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 12 Dec 2023 17:03:06 +0800

deepin-album (5.10.20) unstable; urgency=medium

  * fix: Fix the issue of empty interface after exiting the slide show(Bug: 205055)
  * fix: Fix the issue of clicking on the album button on the cloud getting stuck(Bug: 226477)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Nov 2023 14:03:50 +0800

deepin-album (5.10.19) unstable; urgency=medium

  * fix: Adapt to compact mode.(Influence: CompactMode)
  * fix: Adapt comapct mode with click image.(Influence: CompactMode)
  * fix: Title bar disappear when open without args.(Influence: TitleBar)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:37:52 +0800

deepin-album (5.10.18) unstable; urgency=medium

  * Update version to 5.10.18 community

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Apr 2023 15:54:47 +0800

deepin-album (5.10.17) unstable; urgency=medium

  * chore: 相册强依赖image-editor 1.0.29以上版本(Bug: 197551)
  * fixed an issue where clicking the large Image - Delete button on the lower version album did not work.

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 15:47:00 +0800

deepin-album (5.10.16) unstable; urgency=medium

  * Update version to 5.10.16. community

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 11:11:12 +0800

deepin-album (5.10.15) unstable; urgency=medium

  * fix: 修复相册窗口处于未激活状态下，相册导航栏图标未置灰的问题(Bug: 156983)
  * fix: 修复图片信息-仅展示基本信息时下边距过宽的问题(Bug: 156997)
  * fix: 修复大图模式删除图片，没有删除确认弹窗的问题(Bug: 157033)
  * fix: 修复相册视图-导航栏，相册名称没有tooltips提示文案的问题(Bug: 194271)
  * fix: 修复相册视图-侧边栏空白区域，可移动相册主界面的问题(Bug: 194203)
  * fix: 修复侧边栏导航项和标题栏按钮缺少hover样式的问题(Bug: 194199)
  * chore: 【UI】新建相册对话框，输入字体样式调整(Bug: 194207)
  * chore: 【UI】筛选下拉框样式调整(Bug: 194209)
  * chore: 【UI】标题栏布局调整，“+”按钮与系统按钮组间隔10px(Bug: 194217)
  * fix: 修复设备总数标签内容显示不全的问题(Bug: 194225)
  * chore: 【UI】侧边栏显示顺序调整，从上到下依次为照片库->相册->设备(Bug: 194229)
  * chore: 【UI】选中图标颜色跟随主题高亮颜色改变(Bug: 194241)
  * fix: 【UI】侧边栏-导航项名称，仅在显示不全时，才显示悬浮提示(Bug: 194271)
  * chore: 【UI】相册标题栏扁平按钮悬浮色调整，保持与侧边栏悬浮色一致(Bug: 194199)
  * fix: 【UI】修复暗色主题下，标题栏按钮悬浮色不对的问题(Bug: 194199)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:14:54 +0800

deepin-album (5.10.14) unstable; urgency=medium

  * fix: 修复相册不能显示tiff图片的问题(Bug: 191409)
  * fix: 修复U盘格式化过程中，无法关闭相册应用的问题(Bug: 164375)
  * fix: 修复相册名称为单字符时，相册名会与顶部控件区域重叠的问题(Bug: 138675)
  * feat: 添加底栏模糊透明效果(Bug: 156957)
  * fix: 修复缩略图左右边距不一致的问题(Bug: 156959)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 13 Apr 2023 14:29:12 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev, libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev  (>= 1.0.29), libdtkwidget5-bin, libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev, deepin-gettext-tools, libtiff-dev
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.29)
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.
Recommends: uos-reporter,  deepin-event-log

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=qt5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-album 5.10.24

=== debian/changelog ===
deepin-album (5.10.24) unstable; urgency=medium

  * feat: add avif and heif image format file support

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Wed, 26 Jun 2024 10:14:20 +0800

deepin-album (5.10.23) unstable; urgency=medium

  * feat: Set greeter background when setting wallpaper(Bug: 32367)(Influence: SetWallpaper)
  * fix: Cached greeter background image too large(Bug: 247311)(Influence: SetWallpaper)
  * fix: Filter image format not support wallpaper(Bug: 247311)(Influence: SetWallpaper)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:33:48 +0800

deepin-album (5.10.22) unstable; urgency=medium

  * fix: Improve the function of batch exporting images(Bug: 237179)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 01 Feb 2024 14:15:08 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.29)
 Description: Album for UOS
   Album is a fashion photo manager for viewing and organizing pictures.
-Recommends: uos-reporter,  deepin-event-log
+Recommends: uos-reporter,  deepin-event-log, kimageformat-plugins
 
 Package: libunionimage1
 Architecture: any

## deepin-album 5.10.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,11 +24,11 @@
     if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
         SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
         SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
-        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
     else()
         SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
         SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3  -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
-        SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
     endif()
 endif()

=== libUnionImage/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 include_directories(${INC_DIR})
 link_directories(${LINK_DIR})
-link_libraries(freeimage)
 
 add_library(unionimage SHARED ${allHeaders} ${allSources})
 set_target_properties(unionimage PROPERTIES VERSION 1.0.0 SOVERSION 1)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -187,9 +187,9 @@
     target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${TIFF_INCLUDE_DIRS})
 endif()
 
-target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} freeimage imageviewer)
+target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} imageviewer)
+if(DOTEST)
+    target_link_libraries(${PROJECT_NAME_TEST} ${3rd_lib_LIBRARIES} ${TIFF_LIBRARIES} imageviewer)
 endif()
 #------------------添加第三方库end--------------------------#

=== debian/changelog ===
deepin-album (5.10.25) unstable; urgency=medium

  * remove freeimage 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:10:10 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, qttools5-dev-tools, qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev, libraw-dev, libqt5opengl5-dev, qtbase5-private-dev, qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libimageeditor-dev  (>= 1.0.29), libdtkwidget5-bin, libdtkcore5-bin, libgio-qt-dev, libudisks2-qt5-dev, deepin-gettext-tools, libtiff-dev
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libimageeditor (>= 1.0.29)
Description: Album for UOS
  Album is a fashion photo manager for viewing and organizing pictures.
Recommends: uos-reporter,  deepin-event-log, kimageformat-plugins

Package: libunionimage1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Image processing for album
  A Image processing library for album.
